## maradns 1.2.12.08

=== sqa/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o 
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o 
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
SOBJECTS=../server/timestamp.o
OBJECTS=$(JOBJS) $(MHOBJS) $(DOBJECTS) $(ROBJECTS) $(POBJECTS) $(SOBJECTS)
EXECS=asktest qr.test aaaatest dead_host_simulate sendudp

FLAGS = -g $(DEBUG)
#FLAGS = -g -DDEBUG

all: $(EXECS)

clean:
	rm -f core $(EXECS)

asktest: asktest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o asktest asktest.c $(OBJECTS) 

sendudp: sendudp.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o sendudp sendudp.c $(OBJECTS) 

qr.test: qr.test.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o qr.test qr.test.c $(OBJECTS) 

aaaatest: aaaatest.c ../tools/askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o aaaatest aaaatest.c $(OBJECTS) 

dead_host_simulate: dead_host_simulate.c $(OBJECTS) 
	$(CC) $(FLAGS) -o dead_host_simulate dead_host_simulate.c $(OBJECTS)

=== doc/en/Makefile ===
all: faq.txt faq.html QuickStart credits.txt changelog.txt files.txt \
     changelog.html download.html

clean:
	rm -f faq.txt faq.html QuickStart changelog.txt changelog.html \
	files.txt

faq.html: source/faq.ej source/faq.embed
	../../tools/ej/ej2html source/faq.ej > faq.html

faq.txt: source/faq.ej source/faq.embed
	../../tools/ej/ej2txt source/faq.ej > faq.txt

# For this file, the older ej2txt tools makes a nicer text file
QuickStart: source/quick_start.ej
	../../tools/ej/ej2txt.old source/quick_start.ej > QuickStart

credits.txt: source/credits.ej source/credits.embed
	../../tools/ej/ej2txt source/credits.ej > credits.txt

changelog.html: source/changelog.ej source/changelog.embed
	../../tools/ej/ej2html source/changelog.ej > changelog.html

changelog.txt: source/changelog.ej source/changelog.embed
	../../tools/ej/ej2txt source/changelog.ej > changelog.txt

files.txt: source/files.ej
	../../tools/ej/ej2txt source/files.ej > files.txt

download.html: source/download.ej
	../../tools/ej/ej2html source/download.ej > download.html

=== doc/en/man/Makefile ===
all: maradns.8 mararc.5 askmara.1 getzone.1 zoneserver.8 csv1.5 duende.8 \
	csv2.5 csv2_txt.5 fetchzone.1 mqhash.1

ps: maradns.ps mararc.ps askmara.ps getzone.ps zoneserver.ps csv1.ps

clean:
	rm -f maradns.8 mararc.5 askmara.1 getzone.1 zoneserver.8 csv1.5 \
	maradns.ps mararc.ps askmara.ps getzone.ps zoneserver.ps csv1.ps \
	csv2.5 csv2_txt.5

duende.8: ../source/duende.ej 
	../../../tools/ej/ej2man ../source/duende.ej > duende.8

maradns.8: ../source/maradns.ej ../source/faq.embed ../source/credits.embed
	../../../tools/ej/ej2man ../source/maradns.ej > maradns.8

mararc.5: ../source/mararc.ej ../source/example_mararc
	../../../tools/ej/ej2man ../source/mararc.ej > mararc.5

askmara.1: ../source/askmara.ej
	../../../tools/ej/ej2man ../source/askmara.ej > askmara.1

getzone.1: ../source/getzone.ej
	../../../tools/ej/ej2man ../source/getzone.ej > getzone.1

fetchzone.1: ../source/fetchzone.ej
	../../../tools/ej/ej2man ../source/fetchzone.ej > fetchzone.1

zoneserver.8: ../source/zoneserver.ej
	../../../tools/ej/ej2man ../source/zoneserver.ej > zoneserver.8

csv1.5: ../source/csv1.ej ../examples/example_csv1
	../../../tools/ej/ej2man ../source/csv1.ej > csv1.5

csv2.5: ../source/csv2.ej ../examples/example_csv2
	../../../tools/ej/ej2man ../source/csv2.ej > csv2.5

csv2_txt.5: ../source/csv2_txt.ej 
	../../../tools/ej/ej2man ../source/csv2_txt.ej > csv2_txt.5

mqhash.1: ../source/mqhash.ej
	../../../tools/ej/ej2man ../source/mqhash.ej > mqhash.1

maradns.ps: maradns.8
	groff -mman -rS12 -Tps maradns.8 > maradns.ps

mararc.ps: mararc.5
	groff -mman -rS12 -Tps mararc.5 > mararc.ps

askmara.ps: askmara.1
	groff -mman -rS12 -Tps askmara.1 > askmara.ps

getzone.ps: getzone.1
	groff -mman -rS12 -Tps getzone.1 > getzone.ps

zoneserver.ps: zoneserver.8
	groff -mman -rS12 -Tps zoneserver.8 > zoneserver.ps

csv1.ps: csv1.5
	groff -mman -rS12 -Tps csv1.5 > csv1.ps

=== doc/en/tutorial/Makefile ===
all: tutorial.html man.csv2.html man.mararc.html man.maradns.html \
     authoritative.html compile.html convert.html recursive.html \
     glossary.html recordtypes.html dangling.html default_zonefile.html \
     dnstcp.html man.duende.html dnsmaster.html man.csv2_txt.html \
     dnsslave.html quick_start.html update.html man.askmara.html \
     man.fetchzone.html man.zoneserver.html dnsintro.html \
     win_service.html

clean:
	rm -f *.html 

man.maradns.html: ../source/maradns.ej ../source/faq.embed \
                  ../source/credits.embed
	../../../tools/ej/ej2html ../source/maradns.ej > man.maradns.html

man.mararc.html: ../source/mararc.ej
	../../../tools/ej/ej2html ../source/mararc.ej > man.mararc.html

man.askmara.html: ../source/askmara.ej
	../../../tools/ej/ej2html ../source/askmara.ej > man.askmara.html

man.fetchzone.html: ../source/fetchzone.ej
	../../../tools/ej/ej2html ../source/fetchzone.ej > man.fetchzone.html

man.zoneserver.html: ../source/fetchzone.ej
	../../../tools/ej/ej2html ../source/zoneserver.ej > \
	    man.zoneserver.html

man.csv2.html: ../source/csv2.ej
	../../../tools/ej/ej2html ../source/csv2.ej > man.csv2.html

man.csv2_txt.html: ../source/csv2_txt.ej
	../../../tools/ej/ej2html ../source/csv2_txt.ej > man.csv2_txt.html

man.duende.html: ../source/duende.ej
	../../../tools/ej/ej2html ../source/duende.ej > man.duende.html

tutorial.html: ../source/tutorial.ej
	../../../tools/ej/ej2html ../source/tutorial.ej > tutorial.html

authoritative.html: ../source/authoritative.ej
	../../../tools/ej/ej2html ../source/authoritative.ej > \
	    authoritative.html

compile.html: ../source/compile.ej
	../../../tools/ej/ej2html ../source/compile.ej > compile.html

convert.html: ../source/convert.ej
	../../../tools/ej/ej2html ../source/convert.ej > convert.html

recursive.html: ../source/recursive.ej
	../../../tools/ej/ej2html ../source/recursive.ej > \
	  recursive.html

glossary.html: ../source/glossary.ej
	../../../tools/ej/ej2html ../source/glossary.ej > \
	  glossary.html

recordtypes.html: ../source/recordtypes.ej
	../../../tools/ej/ej2html ../source/recordtypes.ej > \
	  recordtypes.html

dangling.html: ../source/dangling.ej
	../../../tools/ej/ej2html ../source/dangling.ej > \
	  dangling.html

default_zonefile.html: ../source/default_zonefile.ej
	../../../tools/ej/ej2html ../source/default_zonefile.ej > \
	  default_zonefile.html

dnstcp.html: ../source/dnstcp.ej
	../../../tools/ej/ej2html ../source/dnstcp.ej > \
	  dnstcp.html

dnsmaster.html: ../source/dnsmaster.ej
	../../../tools/ej/ej2html ../source/dnsmaster.ej > \
	  dnsmaster.html

dnsslave.html: ../source/dnsslave.ej
	../../../tools/ej/ej2html ../source/dnsslave.ej > \
	  dnsslave.html

quick_start.html: ../source/quick_start.ej
	../../../tools/ej/ej2html ../source/quick_start.ej > \
	  quick_start.html

update.html: ../source/update.ej
	../../../tools/ej/ej2html ../source/update.ej > update.html

dnsintro.html: ../source/dnsintro.ej
	../../../tools/ej/ej2html ../source/dnsintro.ej > dnsintro.html

win_service.html: ../source/win_service.ej
	../../../tools/ej/ej2html ../source/win_service.ej > win_service.html

## maradns 1.4.03

=== deadwood-2.4.10/doc/Makefile ===
all: Duende.1 Duende.txt Deadwood.1 Deadwood.txt 

clean:
	rm -f Duende.1 Duende.txt Deadwood.1 Deadwood.txt

Duende.1: Duende.ej
	../tools/ej/ej2man Duende.ej > Duende.1

Duende.txt: Duende.ej
	../tools/ej/ej2txt Duende.ej > Duende.txt ;\
	unix2dos Duende.txt

Deadwood.1: Deadwood.ej
	../tools/ej/ej2man Deadwood.ej > Deadwood.1

Deadwood.txt: Deadwood.ej
	../tools/ej/ej2txt Deadwood.ej > Deadwood.txt ;\
	unix2dos Deadwood.txt

## maradns 1.4.06

=== debian/changelog ===
maradns (1.4.06-2) unstable; urgency=low

  * Remove second copy of bind2csv
  * Added debian/clean file
  * Updated TODO.Debian
  * Raised standards version to 3.9.2 - no changes
  * Added insserv config fragment to document that maradns provides
    $named (Closes: #551359)
  * Added '--no-create-home' option to adduser so that fresh install
    does not warn about ownership of the home directory mismatching
  * Removed pid clean up code from postinst/postrm as it should be unneeded
  * Added duende to a new package
  * Patch documentation to reflect name change for bind2csv2 utility
  * Rewrote init scripts to be more robust and use LSB
    - logger processes are now separate daemons
    - logger and maradns now have wrapper scripts redirecting IO through a
      named pipe
    - All pid and named pipe files are now in /var/run/maradns/
    - Status action now supported
    - Upgrades now work smoothly (Closes: #459339)
    - Added comment about origins of multiple server logic to init script
    - As a consequence of being explcitly started by start-stop-daemon,
      logger now has / as its working directory (Closes: 589117)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 02 Jun 2011 18:33:40 +0100

maradns (1.4.06-1) unstable; urgency=low

  * New maintainer (Closes: #610842)
  * New upstream version
  * Upped standards version to 3.9.1 - no changes
  * Changed to '3.0 (quilt)' format
  * Rewrote debian/rules and added patches to not change source code
  * Resolved python dependencies
  * Refreshed copyright to DEP-5 standard
  * Put 'set -e' in maintainer scripts
  * Added patch to fix spelling mistakes
  * Tightened up installation of binaries, examples, docs and man pages
  * Added patch to improve readability of man pages
  * Registered tutorial HTML with doc-base
  * TODO.Debian: Added plan for future versions 
  * Added extract of bug report about binding to 0.0.0.0
    to doc-base. (Closes: #486497)
  * Install resolvconf-script to examples, cf. #608946
  * Install zoneserver.init to examples, cf. #582069

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 04 Feb 2011 16:26:50 +0000

maradns (1.4.03-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix CVE-2011-0520 (Closes: #610834)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 30 Jan 2011 14:36:36 +0100

maradns (1.4.03-1) unstable; urgency=low

  * New upstream release
  * Fix "1.4.03 fixes security issue" (Closes: #584587)

 -- Kai Hendry <hendry@iki.fi>  Wed, 07 Jul 2010 16:02:16 +0100

maradns (1.4.02-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Sun, 24 Jan 2010 12:17:40 +0000

maradns (1.3.07.09-3) unstable; urgency=low

  * Fix "Provide tools included in maradns source package"
   Added tools csv1tocsv2.pl and maraconf.sh (Closes: #507593)

 -- Kai Hendry <hendry@iki.fi>  Mon, 15 Dec 2008 20:57:07 +0000

maradns (1.3.07.09-2) unstable; urgency=high

  * Security fix, urgency high:
    Does not run as the maradns user/group (Closes: #500707)
  * reference to the wrong README.Debian in /etc/defaults/maradns
    (Closes: #500200)
  * Waiting 3 seconds instead of 10 for maradns to parse mararc on startup

 -- Kai Hendry <hendry@iki.fi>  Sat, 11 Oct 2008 22:07:58 +0100

maradns (1.3.07.09-1) unstable; urgency=low

  * New upstream release
  * Please update maradns to fix MX bug (Closes: #496468)
  * Added Homepage: field
  * Added note about /etc/maradns/mararc differing from online docs
  * Does not run as the maradns user/group (Closes: #500707)
  * Does not run as the maradns user/group (Closes: #500707)
  * reference to the wrong README.Debian in /etc/defaults/maradns
    (Closes: #500200)

 -- Kai Hendry <hendry@iki.fi>  Sat, 11 Oct 2008 22:07:47 +0100

maradns (1.3.07.08-1) unstable; urgency=low

  * New Upstream Version

 -- Kai Hendry <hendry@iki.fi>  Sun, 13 Jan 2008 09:37:52 +0000

maradns (1.2.12.09-1) unstable; urgency=low

  * New upstream release
  * Bad root server for icann (Closes: #457158)
  * debian/watch fails to report upstream&#39;s version (Closes:
    #449961)

 -- Kai Hendry <hendry@iki.fi>  Thu, 20 Dec 2007 22:56:45 +0000

maradns (1.2.12.08-1) unstable; urgency=high

  * New upstream security release
  * http://marc.info/?l=maradns-list&m=118842373527534&w=2

 -- Kai Hendry <hendry@iki.fi>  Sun, 02 Sep 2007 17:48:27 +0100

maradns (1.2.12.07-1) unstable; urgency=low

  * New upstream release
  * resolvconf update script breaks maradns configuration (Closes:
    #436209)
  * no warning on failure to start (Closes: #436214)

 -- Kai Hendry <hendry@iki.fi>  Mon, 27 Aug 2007 22:18:15 +0100

maradns (1.2.12.06-1) unstable; urgency=medium

  * New upstream release
  * A couple of memory leaks fixed
  * Upstream considers these bugs important, hence medium urgency

 -- Kai Hendry <hendry@iki.fi>  Sat, 19 May 2007 22:00:19 +0100

maradns (1.2.12.05-1) unstable; urgency=low

  * New upstream release
  * Added LSB info to maradns&zoneserver init
    Thanks to Petter Reinholdtsen for his aid

 -- Kai Hendry <hendry@iki.fi>  Mon, 19 Feb 2007 12:13:29 +0000

=== debian/control ===
Source: maradns
Section: net
Priority: extra
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support
Standards-Version: 3.9.2
Homepage: http://maradns.org
Vcs-Git: git://github.com/periapt/maradns.git
Vcs-Browser: http://github.com/periapt/maradns

Package: maradns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base 
Recommends: ${python:Depends}
Description: simple security-focused Domain Name Service server
 An easy to configure DNS server that functions as a
 recursive and/or authoritative name server. Maradns is
 optimised for serving a small number of domains quickly and
 efficiently. Well suited to host your own private DNS server
 for making up subdomains with minimal fuss. Maradns is
 security-aware by utilising a special string library which
 is resistant to buffer overflows and mandating to run as an
 unprivileged user.

Package: duende
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: experimental maradns logging daemonizer
 The duende program takes as its arguments a command and its arguments.
 On running the duende executable will daemonize itself, and fork two
 further processes. The first is defined by the arguments passed to
 duende. The second is a restricted privilege logger process that will
 take standard error and output from the first child and write that to
 syslog. The logger process will be chrooted to /etc/maradns/logger
 so that directory must exist. Duende will also take responsibility for
 passing on signals to its child processes by stopping or restarting them
 as appropriate.

=== debian/rules ===
#!/usr/bin/make -f

UNAME:=$(shell uname -s)
DATE:=$(shell date)
COMPILED:="${UNAME} system at ${DATE}"
VERSION:=${shell cat debian/changelog | head -1 | sed -e's/^maradns (//' | sed -e's/-[[:digit:]]\+) \w\+; .*//' }
ifeq ($(UNAME),Linux)
    MAKEFILE:=build/Makefile.linux
else
    MAKEFILE:=build/Makefile.freebsd
endif
PKG:=maradns
TMP:=$(CURDIR)/debian/$(PKG)

%:
	dh $@ 

override_dh_auto_configure:
	@echo "System: ${UNAME}"
	@echo "Version: ${VERSION}"
	@echo "Makefile: ${MAKEFILE}"

override_dh_auto_test:

override_dh_auto_clean:
	make -f $(MAKEFILE) clean

override_dh_auto_build:
	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h

override_dh_install:
	dh_install
	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2

override_dh_installdocs:
	dh_installdocs -XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet
	cp README.Debian $(TMP)/usr/share/doc/$(PKG)/README.FromUpstreamToDebian

override_dh_compress:
	dh_compress -Xexamples

override_dh_installexamples:
	dh_installexamples -XMakefile

## maradns 1.4.07

=== debian/changelog ===
maradns (1.4.07-1) unstable; urgency=low

  * Made watch file handle recursive lookups
  * New upstream release (Closes: #607739)
  * Added lintian override concerning DEP-5
  * Added README.source concerning #643043
  * Added patch updating upstream changelog
  * Updated TODO.Debian

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 21 Nov 2011 22:10:46 +0000

maradns (1.4.06-3) unstable; urgency=low

  * Made duende more generic and Debian compatible
    - Added patch to use argp to parse arguments
    - Added support for --pid, --uid, --chroot, --ident, --restart_on,
      and --gid arguments
    - Put log helper process in chroot
    - Write pid of log helper process to syslog
    - Consolidated waitpid calls so to avoid race condition allowing zombies
    - Adjusted section and priority, cf. #632337
    - Added example to show how to use duende generically
    - Added patch to man page documenting changes to duende
  * Rewrote maradns init script to use new duende features
    - Init script now relatively standard apart from use of duende and 
      support for multiple servers
    - Reload action in maradns script now sends signal to duende which
      restarts maradns process (Closes: #484466)
    - Added Recommends clause for maradns-zoneserver
  * Added comment about #621833 in postrm script and ensured complete removal
    of /etc/maradns directory
  * Added maradns-zoneserver package (Closes: #582069)
    - Note that the reload action is not supported for zoneserver
  * Updated python support
  * Updated TODO.Debian

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 18 Jul 2011 12:57:54 +0100

=== debian/control ===
Source: maradns
Section: net
Priority: extra
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Build-Depends: debhelper (>= 7.0.50~), python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://maradns.org
Vcs-Git: git://github.com/periapt/maradns.git
Vcs-Browser: http://github.com/periapt/maradns

Package: maradns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
 duende (>= 1.4.06-3)
Recommends: ${python:Depends}, maradns-zoneserver
Description: simple security-focused Domain Name Service server
 MaraDNS is easy to configure DNS server that functions as a
 recursive and/or authoritative name server. MaraDNS is
 optimised for serving a small number of domains quickly and
 efficiently. Well suited to host your own private DNS server
 for making up subdomains with minimal fuss. Maradns is
 security-aware by utilising a special string library which
 is resistant to buffer overflows and mandating to run as an
 unprivileged user.

Package: maradns-zoneserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maradns (>= 1.4.06-3)
Description: complementary server process to TCP functions for MaraDNS
 The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
 and any DNS query done over TCP instead of UDP. It uses the same configuration
 file as the MaraDNS process itself.

Package: duende
Section: admin
Priority: optional 
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: logging daemonizer
 The duende program starts a child process as specified on the command
 line and handles some aspects of maintaining it as a daemon process.
 In particular it passes the standard output and error from the child
 process to syslog. If the child process exits with a configurable exit
 status it will be restarted. Optionally duende will provide a pid file,
 and other features are configurable.

=== debian/watch ===
version=3
http://maradns.org/download/1.4/(1\.\d[\d\.]+)/ maradns-(1\.\d[\d\.]+)\.tar\.(?:gz|bz2)$
http://maradns.org/download.html .*/maradns-(1\.\d[\d\.]+)\.tar\.(?:gz|bz2)$

## maradns 1.4.09

=== debian/changelog ===
maradns (1.4.09-1) unstable; urgency=medium

  * Updated TODO.Debian
  * Added askmara-tcp to maradns-zoneserver package
  * Made watch file handle latest upstream webpage
  * Changed the name of internal variables to not conflict with
    built-in bash variables (Closes: #653419)
  * New upstream release
    - randomized source of entropy (Closes: #653838)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 31 Dec 2011 22:01:07 +0000

## maradns 1.4.10

=== tcp/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../qual/qual_timestamp.o
MHOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
OBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
SOBJECTS=../server/timestamp.o ../server/MaraBigHash.o ../server/read_kvars.o \
	 ../server/MaraAnyChain.o
RNGOBJS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
TCPOBJS=libtcp.o
OBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(SOBJECTS) \
	$(TCPOBJS)
EXECS=getzone zoneserver fetchzone

FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) $(TCPOBJS) *.exe

getzone: getzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o getzone getzone.c $(OBJECTS)

fetchzone: fetchzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o fetchzone fetchzone.c $(OBJECTS) 

zoneserver: zoneserver.c zoneserver_en.h $(OBJECTS)
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -o zoneserver zoneserver.c $(OBJECTS) $(RNGOBJS)

=== deadwood-3.0.05/src/Makefile ===
# Makefile for Deadwood-2 (CentOS 5; may work with other other Linux and
# *NIX systems)

# The compiler that makes programs designed to run on the machine 
# compiling.  When cross-compiling, we still need to compile and
# run programs on the build machine, so change the next line when
# cross-compiling.
HOSTCC=$(CC)

OBJS=DwStr.o \
	DwMararc.o \
	DwRadioGatun.o \
	DwSocket.o \
	DwUdpSocket.o \
	DwTcpSocket.o \
	DwSys.o \
	DwHash.o \
	DwCompress.o \
	DwDnsStr.o \
	DwRecurse.o \
	DwDict.o

all:	Deadwood version.h

# Since some systems may not have /dev/urandom (Windows, *cough* *cough*), we 
# keep a randomly generated prime around 

#		Makefile \
#

clean:
	rm -f Test DwMain DwTcp *.exe *.o a.out RandomPrime writehash_test* \
		Deadwood foo* dw_cache DwHash DwCompress *stackdump \
		core ; \
		./make.version.h ; if [ -e /dev/urandom ] ; \
			then rm DwRandPrime.h  ; \
			cc RandomPrime.c ; ./a.out > DwRandPrime.h ; rm a.out \
		; fi 

version.h:	
	./make.version.h
	
DwStr.o:	DwStr.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwStr.o DwStr.c

DwCompress.o:	DwCompress.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwCompress.o DwCompress.c

DwDnsStr.o:	DwDnsStr.c DwStr.h DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwDnsStr.o DwDnsStr.c

DwMararc.o:	DwMararc.c DwMararc.h 
	$(CC) $(FLAGS) -Wall -c -o DwMararc.o DwMararc.c

DwRadioGatun.o:	DwRadioGatun.c DwRadioGatun.h DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwRadioGatun.o DwRadioGatun.c

DwTcpSocket.o:	DwTcpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwTcpSocket.o DwTcpSocket.c

DwUdpSocket.o:	DwUdpSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwUdpSocket.o DwUdpSocket.c

DwSocket.o:	DwSocket.c DwStr.h DwSocket.h
	$(CC) $(FLAGS) -Wall -c -o DwSocket.o DwSocket.c

DwSys.o:	DwSys.c DwStr.h
	$(CC) $(FLAGS) -Wall -c -o DwSys.o DwSys.c

RandomPrime:	RandomPrime.c
	$(CC) -O3 -o RandomPrime RandomPrime.c

DwRandPrime.h: RandomPrime
	if [ -e /dev/urandom ] ; then ./RandomPrime > DwRandPrime.h ; fi

DwHash.o:	DwHash.c DwStr.h DwRandPrime.h DwHash.h
	$(CC) $(FLAGS) -Wall -c -o DwHash.o DwHash.c

DwRecurse.o:	DwRecurse.c DwRecurse.h
	$(CC) $(FLAGS) -Wall -c -o DwRecurse.o DwRecurse.c

DwDict.o:	DwDict.c DwStr.h DwRandPrime.h DwDict.h
	$(CC) $(FLAGS) -Wall -c -o DwDict.o DwDict.c

Test:		Test.c DwStr.o DwStr.h DwStr_functions.h $(OBJS)
	$(CC) $(FLAGS) -Wall -o Test Test.c $(OBJS)

Deadwood:	DwMain.c $(OBJS) DwStr_functions.h version.h
	$(CC) $(FLAGS) -Wall -o Deadwood DwMain.c $(OBJS)

=== debian/changelog ===
maradns (1.4.10-3) unstable; urgency=low

  * Fixed hardening flags on kFreeBSD
  * Defined MAXPATHLEN so building on Hurd works

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 19 Feb 2012 17:59:26 +0000

maradns (1.4.10-2) unstable; urgency=low

  * Added hardening patch (Closes: #657657)
  * Split out maradns-docs package

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 06 Feb 2012 15:35:19 +0000

maradns (1.4.10-1) unstable; urgency=low

  * Updated copyright (incl public domain status of certain files)
    and TODO.Debian
  * New upstream release
  * Added Breaks/Replaces to avoid clashes between old versions of maradns
    which had unused man pages and later sub packages which made legitimate
    use of them (Closes: #656364)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 21 Jan 2012 12:26:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
-Build-Depends: debhelper (>= 7.0.50~), python-dev (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://maradns.org
 Vcs-Git: git://github.com/periapt/maradns.git
@@ -26,6 +26,8 @@
 Package: maradns-zoneserver
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, maradns (>= 1.4.06-3)
+Breaks: maradns (<< 1.4.06)
+Replaces: maradns (<< 1.4.06)
 Description: complementary server process to TCP functions for MaraDNS
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
@@ -36,6 +38,8 @@
 Priority: optional 
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: maradns (<< 1.4.06)
+Replaces: maradns (<< 1.4.06)
 Description: logging daemonizer
  The duende program starts a child process as specified on the command
  line and handles some aspects of maintaining it as a daemon process.
@@ -44,3 +48,19 @@
  status it will be restarted. Optionally duende will provide a pid file,
  and other features are configurable.
 
+Package: maradns-docs
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Enhances: maradns-zoneserver, maradns-deadwood, duende, maradns
+Breaks: maradns (<< 1.4.07-2)
+Replaces: maradns (<< 1.4.07-2)
+Recommends: dwww
+Description: upstream documentation for the MaraDNS Domain Name Service server
+ MaraDNS is easy to configure DNS server that functions as a recursive and/or
+ authoritative name server. This package provides the upstream documentation
+ for the MaraDNS suite. This includes more information than is available in the
+ man pages including background information on DNS, how to obtain the source
+ code, compile and install it. As a result the documentation includes none of
+ the packaging tweaks intended to fit MaraDNS into Debian.
+

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,13 @@
 else
     MAKEFILE:=build/Makefile.freebsd
 endif
+DOC:=maradns-docs
 PKG:=maradns
 TMP:=$(CURDIR)/debian/$(PKG)
+INSTALLDOCS_ARGS:="-XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet"
 
 %:
-	dh $@ 
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	@echo "System: ${UNAME}"
@@ -34,9 +36,12 @@
 	dh_install
 	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2
 
-override_dh_installdocs:
-	dh_installdocs -XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet
-	cp README.Debian $(TMP)/usr/share/doc/$(PKG)/README.FromUpstreamToDebian
+override_dh_installdocs-arch:
+	dh_installdocs ${INSTALLDOCS_ARGS}
+
+override_dh_installdocs-indep:
+	dh_installdocs ${INSTALLDOCS_ARGS}
+	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian
 
 override_dh_compress:
 	dh_compress -Xexamples

## maradns 1.4.11

=== dns/Makefile ===
DOBJECTS=Queries.o Compress.o bobbit.o Decompress.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
OBJECTS=$(DOBJECTS) $(JOBJS) $(MHOBJS)

FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: Queries.o Compress.o bobbit.o Decompress.o

clean:
	rm -f Queries.o Compress.o bobbit.o Decompress.o

Queries.o: Queries.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Queries.o Queries.c 

Compress.o: Compress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Compress.o Compress.c 

Decompress.o: Decompress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Decompress.o Decompress.c 

bobbit.o: bobbit.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o bobbit.o bobbit.c

=== qual/Makefile ===
DOBJECTS=qual_timestamp.o 
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
OBJECTS=$(DOBJECTS)

#FLAGS = -g -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: qual_timestamp.o

clean:
	rm -f qual_timestamp.o

qual_timestamp.o: qual_timestamp.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o qual_timestamp.o qual_timestamp.c

=== rng/Makefile ===
# Written because some makes (such as NetBSD's make) do not like the Makefile
# the original Rijndael code came with.

ROBJECTS=rng-alg-fst.o rng-api-fst.o
OBJECTS=$(ROBJECTS)
TABLES=rng-32bit-tables.h

#FLAGS = -g -Wall
#FLAGS = -g

all: $(ROBJECTS) 

# We don't delete the tables so that people compiling to embedded systems
# don't have to deal with a special CC to make the tables.
clean:
	rm -f $(ROBJECTS) core make_32bit_tables *.exe

superclean:
	rm -f $(ROBJECTS) core make_32bit_tables $(TABLES)

rng-alg-fst.o: rng-alg-fst.c rng-alg-fst.h $(TABLES)
	$(CC) -c $(FLAGS) -o rng-alg-fst.o rng-alg-fst.c

rng-api-fst.o: rng-alg-fst.o rng-api-fst.h 
	$(CC) -c $(FLAGS) -o rng-api-fst.o rng-api-fst.c

make_32bit_tables: make_32bit_tables.c
	$(CC) -o make_32bit_tables make_32bit_tables.c

rng-32bit-tables.h: make_32bit_tables
	./make_32bit_tables > rng-32bit-tables.h

=== tools/misc/Makefile ===
ROBJECTS=../../rng/rng-alg-fst.o ../../rng/rng-api-fst.o
EXECS=marahash mqhash rg32hash

FLAGS = -g
#FLAGS = -g

all: $(EXECS)

clean:
	rm -f core $(EXECS)

marahash: $(ROBJECTS) rnghash.c
	$(CC) $(FLAGS) -o marahash rnghash.c $(ROBJECTS) 

mqhash: $(ROBJECTS) mqhash.c
	$(CC) $(FLAGS) -o mqhash mqhash.c $(ROBJECTS) 

rg32hash: rg32hash.c
	$(CC) $(FLAGS) -o rg32hash rg32hash.c

=== debian/changelog ===
maradns (1.4.11-1) unstable; urgency=low

  * New upstream release
  * Removed changelog patch
  * Added to docs rules to fix missing faq.txt
  * Raised standards version to 3.9.3
    - Updated debian/copyright format
    - Removed lintian override
    - Changed working directories from /var/run to /run

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 14 Mar 2012 08:45:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
-Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~), html2text
+Standards-Version: 3.9.3
 Homepage: http://maradns.org
 Vcs-Git: git://github.com/periapt/maradns.git
 Vcs-Browser: http://github.com/periapt/maradns

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	dh_installdocs ${INSTALLDOCS_ARGS}
 
 override_dh_installdocs-indep:
+	html2text doc/en/faq.html > debian/faq.txt
 	dh_installdocs ${INSTALLDOCS_ARGS}
 	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian

## maradns 1.4.12

=== Makefile ===
# This is a wrapper that runs "./configure ; make"
all:
	./compile.sh

debug:
	./configure ; make debug

clean:
	./configure ; make clean

uninstall:
	./configure ; make uninstall

install:
	echo Please compile MaraDNS first

=== server/Makefile ===
SOBJECTS=MaraBigHash.o recursive.o timestamp.o read_kvars.o MaraAnyChain.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MHOBJS=../libs/MaraHash.o
MJOBJS=../qual/qual_timestamp.o
POBJ5=../parse/Csv2_database.o ../parse/Csv2_rr_txt.o ../parse/Csv2_esc_txt.o
POBJ3=../parse/Csv2_rr_soa.o ../parse/Csv2_rr_aaaa.o ../parse/Csv2_rr_a.o
POBJ2=../parse/Csv2_read.o ../parse/Csv2_main.o ../parse/Csv2_parse.o $(POBJ3)
POBJ4=../parse/ParseIpAcl.o ../parse/Parse_ipv6.o $(POBJ2)
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o $(POBJ4) $(POBJ5)
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
XOBJECTS=$(JOBJS) $(MHOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(ROBJECTS)
OBJECTS=$(SOBJECTS) $(XOBJECTS)
EXECS=maradns

#FLAGS = -g -Wall
#FLAGS = -g -DDEBUG -DCALL_LOCKS
#FLAGS = -g -DCALL_LOCKS $(DEBUG)
#FLAGS = -g -DDEBUG 
#FLAGS = -g -DDEBUG -DNOTHREAD
#FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
#FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
#FLAGS = -g $(DEBUG) 
#FLAGS = -g -Wall $(DEBUG) $(DEFINES)

all: $(EXECS)

clean:
	rm -f $(SOBJECTS) core $(EXECS) simple maradns.authonly *.exe

libs/tests:
	cd libs ; make

read_kvars.o: read_kvars.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o read_kvars.o read_kvars.c

MaraBigHash.o: MaraBigHash.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h MaraBigHash_locale.h
	$(CC) -c $(FLAGS) -o MaraBigHash.o MaraBigHash.c 

recursive.o: recursive.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o recursive.o recursive.c 

timestamp.o: timestamp.c MaraDNS_locale.h
	$(CC) -c $(FLAGS) -o timestamp.o timestamp.c

MaraAnyChain.o: MaraAnyChain.c
	$(CC) -c $(FLAGS) -o MaraAnyChain.o MaraAnyChain.c

maradns: MaraDNS.c $(OBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o maradns MaraDNS.c $(OBJECTS) -lpthread

simple: simple.c $(XOBJECTS) MaraDNS_locale.h
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -DCOMPILED=\"$(COMPILED)\" -o simple $(OBJECTS) simple.c

=== doc/en/webpage/Makefile ===
all: changelog.html contact.html dns_software.html download.html \
	faq-1.0.html faq.html index.html license.html notes.html \
	sponsors.html security.html advocacy.html debian.html \
	products.html

changelog.html: changelog.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page changelog.embed

contact.html: contact.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page contact.embed

products.html: products.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page products.embed

dns_software.html: dns_software.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page dns_software.embed

download.html: download.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page download.embed

faq-1.0.html: faq-1.0.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq-1.0.embed

faq.html: faq.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq.embed

index.html: index.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page index.embed

license.html: license.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page license.embed

notes.html: notes.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page notes.embed

# Removed 2009.02.07: Out of date and replaced with sponsors page;
# current MaraDNS information is at the MaraDNS blog
roadmap.html: roadmap.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page roadmap.embed

security.html: security.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page security.embed

advocacy.html: advocacy.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page advocacy.embed

# Added 2007.09.22: Web page tell Debian users to upgrade their version
# of MaraDNS
debian.html: debian.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page debian.embed

# Added 2009.02.07: Web page thanking people for sponsoring MaraDNS
sponsors.html: sponsors.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page sponsors.embed

=== debian/changelog ===
maradns (1.4.12-5) unstable; urgency=low

  * Resolved use of undefined environment variable in maintenance
    scripts. Thanks to Andreas Beckmann and Adam Barratt for pointing
    this out

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 04 Nov 2012 17:24:10 +0000

maradns (1.4.12-4) unstable; urgency=low

  * Using ucf to manage config file to comply with
    policy 10.7.3. (Closes: 636158)
    - Added ucf as a dependency to the maradns package
    - Maradns config file installed below /usr/share/maradns
    - ucf used to install and purge the config file

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 01 Nov 2012 22:16:08 +0000

maradns (1.4.12-3) unstable; urgency=low

  * Improved changelog parsing to work with binNMUs (Closes: #675392)
  * Revert /var/run to /run after enhanced understanding of the transition
    plan

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 08 Jun 2012 21:38:22 +0100

maradns (1.4.12-2) unstable; urgency=low

  * Fix typo in init scripts (Closes: #668329)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Apr 2012 11:42:27 +0100

maradns (1.4.12-1) unstable; urgency=medium

  * New upstream release fixing CVE-2012-1570 (Closes: #665012)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 25 Mar 2012 18:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: maradns
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
- duende (>= 1.4.06-3)
+ duende (>= 1.4.06-3), ucf
 Recommends: ${python:Depends}, maradns-zoneserver
 Description: simple security-focused Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 UNAME:=$(shell uname -s)
 DATE:=$(shell date)
 COMPILED:="${UNAME} system at ${DATE}"
-VERSION:=${shell cat debian/changelog | head -1 | sed -e's/^maradns (//' | sed -e's/-[[:digit:]]\+) \w\+; .*//' }
+VERSION:=${shell dpkg-parsechangelog -ldebian/changelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1}
 ifeq ($(UNAME),Linux)
     MAKEFILE:=build/Makefile.linux
 else

=== debian/watch ===
version=3
http://maradns.org/download/1.4/(1\.\d[\d\.]+)/ maradns-(1\.\d[\d\.]+)\.tar\.(?:gz|bz2)$
http://maradns.org/download/1.4/ maradns-(1\.\d[\d\.]+)\.tar\.(?:gz|bz2)$
http://maradns.org/download.html .*/maradns-(1\.\d[\d\.]+)\.tar\.(?:gz|bz2)$

## maradns 2.0.04

=== deadwood-3.0.05/doc/Makefile ===
all: Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt

clean:
	rm -f Duende.1 Duende.txt Deadwood.1 Deadwood.txt FAQ.txt

Duende.1: Duende.ej
	../tools/ej/ej2man Duende.ej > Duende.1

Duende.txt: Duende.ej
	../tools/ej/ej2txt Duende.ej > Duende.txt ;\
	echo >> Duende.txt ;\
	unix2dos Duende.txt

Deadwood.1: Deadwood.ej
	../tools/ej/ej2man Deadwood.ej > Deadwood.1

Deadwood.txt: Deadwood.ej
	../tools/ej/ej2txt Deadwood.ej > Deadwood.txt ;\
	echo >> Deadwood.txt;\
	unix2dos Deadwood.txt

FAQ.txt: FAQ.ej
	../tools/ej/ej2txt FAQ.ej > FAQ.txt ;\
	echo >> FAQ.txt ;\
	unix2dos FAQ.txt

=== debian/changelog ===
maradns (2.0.04-6) experimental; urgency=low

  * Enable hardening flags (Closes: #657657)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 30 Jan 2012 21:00:11 +0000

maradns (2.0.04-5) experimental; urgency=low

  * Incorporated fix for issue fixed in stable branch (Closes: #656364)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 21 Jan 2012 16:16:35 +0000

maradns (2.0.04-4) experimental; urgency=low

  * Fixed typo in synopsis (Closes: #655961)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Jan 2012 17:57:18 +0000

maradns (2.0.04-3) experimental; urgency=low

  * debian/rules: Apply patch correctly and
    resolve arch/indep split (Closes: #654987)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Jan 2012 10:04:24 +0000

maradns (2.0.04-2) experimental; urgency=low

  * Only install files into maradns-docs in the indep build. Increase minimum
    version on debhelper BD to ensure override_...-indep support is available.
    Thanks to Iain Lane (laney@debian.org) (Closes: #654987)
  * Raised compat level to 8

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 12 Jan 2012 23:41:05 +0000

maradns (2.0.04-1) experimental; urgency=low

  * Allowed watch file to pick up 2.x releases
  * New upstream release
  * Refreshed patches
  * Added override to stop deletion of server/MaraDNS.c.orig
  * Added patch to stop corruption of deadwood source code
  * Added public domain stanza trying to give useful information about
    the public domain status (or otherwise) of certain files.
  * Updated doc-base index file
  * Split out documentation into separate package as it is written from
    an upstream point of view
  * Added askmara-tcp tool to maradns-zoneserver package
  * Added experimental maradns-deadwood package (Closes: #612229)
  * Turned on compilation for IPv6 (Closes: #477787)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 06 Jan 2012 08:47:03 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
-Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~), html2text
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.9.10~), python-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.2
 Homepage: http://maradns.org
 Vcs-Git: git://github.com/periapt/maradns.git
 Vcs-Browser: http://github.com/periapt/maradns
@@ -11,17 +11,21 @@
 Package: maradns
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
- duende (>= 1.4.06-3), ucf
+ duende (>= 1.4.06-3)
 Recommends: ${python:Depends}, maradns-zoneserver
-Description: simple security-focused Domain Name Service server
- MaraDNS is easy to configure DNS server that functions as a
- recursive and/or authoritative name server. MaraDNS is
+Suggests: maradns-deadwood
+Description: simple security-focused authoritative Domain Name Service server
+ MaraDNS is easy to configure DNS server that functions as an
+ authoritative domain name server. MaraDNS is
  optimised for serving a small number of domains quickly and
  efficiently. Well suited to host your own private DNS server
  for making up subdomains with minimal fuss. Maradns is
  security-aware by utilising a special string library which
  is resistant to buffer overflows and mandating to run as an
  unprivileged user.
+ .
+ For the recursive name server component and IPv6 support see
+ maradns-deadwood. For TCP and domain transfer support see maradns-zoneserver.
 
 Package: maradns-zoneserver
 Architecture: any
@@ -32,6 +36,21 @@
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
  file as the MaraDNS process itself.
+ .
+ This package also includes askmara-tcp, a version of askmara that uses TCP
+ rather than UDP.
+
+Package: maradns-deadwood
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: maradns (>= 2.0.04-1)
+Recommends: duende (>= 1.4.06-3)
+Enhances: maradns (>= 2.0.04-1)
+Description: simple security-focused recursive Domain Name Service server
+ This is an experimental build of the deadwood binary, that is MaraDNS'
+ recursive domain name server. It will contain support for IPv6. However
+ the necessary integration of init scripts and config files will not be
+ done.
 
 Package: duende
 Section: admin
@@ -53,8 +72,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Enhances: maradns-zoneserver, maradns-deadwood, duende, maradns
-Breaks: maradns (<< 1.4.07-2)
-Replaces: maradns (<< 1.4.07-2)
+Breaks: maradns (<< 2)
+Replaces: maradns (<< 2)
 Recommends: dwww
 Description: upstream documentation for the MaraDNS Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a recursive and/or

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
-#!/usr/bin/make -f
+#!/usr/bin/make -f 
 
+DH_VERBOSE=1
 UNAME:=$(shell uname -s)
 DATE:=$(shell date)
 COMPILED:="${UNAME} system at ${DATE}"
@@ -7,7 +8,7 @@
 ifeq ($(UNAME),Linux)
     MAKEFILE:=build/Makefile.linux
 else
-    MAKEFILE:=build/Makefile.freebsd
+    MAKEFILE:=debian/Makefile.freebsd
 endif
 DOC:=maradns-docs
 PKG:=maradns
@@ -24,6 +25,9 @@
 
 override_dh_auto_test:
 
+override_dh_clean:
+	dh_clean -XMaraDNS
+
 override_dh_auto_clean:
 	make -f $(MAKEFILE) clean
 
@@ -36,17 +40,23 @@
 	dh_install
 	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2
 
-override_dh_installdocs-arch:
-	dh_installdocs ${INSTALLDOCS_ARGS}
-
-override_dh_installdocs-indep:
-	html2text doc/en/faq.html > debian/faq.txt
-	dh_installdocs ${INSTALLDOCS_ARGS}
-	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian
-
 override_dh_compress:
 	dh_compress -Xexamples
 
 override_dh_installexamples:
 	dh_installexamples -XMakefile
 
+override_dh_installman:
+	dh_installman
+	cd $(CURDIR)/debian/maradns-deadwood/usr/share/man/man1/ && mv Deadwood.1 deadwood.1 && cd -
+
+override_dh_installdocs-arch:
+	dh_installdocs ${INSTALLDOCS_ARGS}
+
+override_dh_installdocs-indep:
+	dh_installdocs ${INSTALLDOCS_ARGS}
+	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian
+	mkdir $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
+	cp deadwood-*/doc/internals/* $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
+	cp deadwood-*/doc/FAQ.txt $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
+

=== debian/watch ===
version=3
http://maradns.org/download/(\d[\d\.]+)/ maradns-(\d[\d\.]+)\.tar\.(?:gz|bz2)$
http://maradns.org/download.html .*/maradns-(\d[\d\.]+)\.tar\.(?:gz|bz2)$

## maradns 2.0.04%2breally1.4.09

=== debian/changelog ===
maradns (2.0.04+really1.4.09-1) precise; urgency=low

  * Revert to 1.4 series with "really" version number. The 2.0 series packages
    are not yet ready to be used.

 -- Iain Lane <laney@ubuntu.com>  Thu, 12 Jan 2012 23:35:38 +0000

=== debian/rules ===
#!/usr/bin/make -f

UNAME:=$(shell uname -s)
DATE:=$(shell date)
COMPILED:="${UNAME} system at ${DATE}"
VERSION:=${shell cat debian/changelog | head -1 | sed -e's/^maradns (//' | sed -e's/-[[:digit:]]\+) \w\+; .*//' }
ifeq ($(UNAME),Linux)
    MAKEFILE:=build/Makefile.linux
else
    MAKEFILE:=build/Makefile.freebsd
endif
PKG:=maradns
TMP:=$(CURDIR)/debian/$(PKG)

%:
	dh $@ --with python2

override_dh_auto_configure:
	@echo "System: ${UNAME}"
	@echo "Version: ${VERSION}"
	@echo "Makefile: ${MAKEFILE}"

override_dh_auto_test:

override_dh_auto_clean:
	make -f $(MAKEFILE) clean

override_dh_auto_build:
	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h

override_dh_install:
	dh_install
	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2

override_dh_installdocs:
	dh_installdocs -XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet
	cp README.Debian $(TMP)/usr/share/doc/$(PKG)/README.FromUpstreamToDebian

override_dh_compress:
	dh_compress -Xexamples

override_dh_installexamples:
	dh_installexamples -XMakefile
